# Copyright (c) 2016-2017 Anki, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License in the file LICENSE.txt or at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""
Autogenerated python message buffer code.
Source: clad/types/animationTrigger.clad
Full command line: ../tools/message-buffers/emitters/Python_emitter.py -C ./src/ -I ../robot/clad/src/ ../coretech/vision/clad/src/ ../coretech/common/clad/src/ ../lib/util/source/anki/clad -o ../generated/cladPython// clad/types/animationTrigger.clad
"""

from __future__ import absolute_import
from __future__ import print_function

def _modify_path():
  import inspect, os, sys
  search_paths = [
    '../..',
    '../../../../tools/message-buffers/support/python',
  ]
  currentpath = os.path.abspath(os.path.dirname(inspect.getfile(inspect.currentframe())))
  for search_path in search_paths:
    search_path = os.path.normpath(os.path.abspath(os.path.realpath(os.path.join(currentpath, search_path))))
    if search_path not in sys.path:
      sys.path.insert(0, search_path)
_modify_path()

import msgbuffers

Anki = msgbuffers.Namespace()
Anki.Cozmo = msgbuffers.Namespace()

class AnimationTrigger(object):
  "Automatically-generated int_32 enumeration."
  AcknowledgeFaceInitPause                = 0
  AcknowledgeFaceNamed                    = 1
  AcknowledgeFaceUnnamed                  = 2
  AcknowledgeObject                       = 3
  AskToBeRightedLeft                      = 4
  AskToBeRightedRight                     = 5
  AudioTestAnim                           = 6
  BlockReact                              = 7
  BouncerGetIn                            = 8
  BouncerGetOut                           = 9
  BouncerIdeaToPlay                       = 10
  BouncerIntoScore1                       = 11
  BouncerIntoScore2                       = 12
  BouncerIntoScore3                       = 13
  BouncerRequestToPlay                    = 14
  BouncerTimeout                          = 15
  BouncerWait                             = 16
  BuildPyramidFirstBlockOnSide            = 17
  BuildPyramidFirstBlockUpright           = 18
  BuildPyramidLookForFace                 = 19
  BuildPyramidReactToBase                 = 20
  BuildPyramidSecondBlockOnSide           = 21
  BuildPyramidSecondBlockUpright          = 22
  BuildPyramidSuccess                     = 23
  BuildPyramidThankUser                   = 24
  BuildPyramidThirdBlockOnSide            = 25
  BuildPyramidThirdBlockUpright           = 26
  CantHandleTallStack                     = 27
  PatternGuessNewIdea                     = 28
  PatternGuessThinking                    = 29
  CodeLab123Go                            = 30
  CodeLabAmazed                           = 31
  CodeLabBored                            = 32
  CodeLabCat                              = 33
  CodeLabCelebrate                        = 34
  CodeLabChatty                           = 35
  CodeLabConducting                       = 36
  CodeLabCurious                          = 37
  CodeLabDancingMambo                     = 38
  CodeLabDejected                         = 39
  CodeLabDizzy                            = 40
  CodeLabDizzyEnd                         = 41
  CodeLabDog                              = 42
  CodeLabEnergyEat                        = 43
  CodeLabEnter                            = 44
  CodeLabExcited                          = 45
  CodeLabExit                             = 46
  CodeLabFireTruck                        = 47
  CodeLabFrustrated                       = 48
  CodeLabGetInPos                         = 49
  CodeLabHappy                            = 50
  CodeLabHelium                           = 51
  CodeLabHiccup                           = 52
  CodeLabIDK                              = 53
  CodeLabIdle                             = 54
  CodeLabLose                             = 55
  CodeLabNo                               = 56
  CodeLabPartyTime                        = 57
  CodeLabReactHappy                       = 58
  CodeLabSleep                            = 59
  CodeLabSneeze                           = 60
  CodeLabStaring                          = 61
  CodeLabSurprise                         = 62
  CodeLabTakaTaka                         = 63
  CodeLabTapCube                          = 64
  CodeLabThinking                         = 65
  CodeLabUnhappy                          = 66
  CodeLabVictory                          = 67
  CodeLabWhee1                            = 68
  CodeLabWhee2                            = 69
  CodeLabWhee3                            = 70
  CodeLabWhee4                            = 71
  CodeLabWhew                             = 72
  CodeLabWhoa                             = 73
  CodeLabWin                              = 74
  CodeLabWondering                        = 75
  CodeLabYes                              = 76
  CodeLabYuck                             = 77
  ConnectWakeUp                           = 78
  ConnectWakeUp_SevereEnergy              = 79
  ConnectWakeUp_SevereRepair              = 80
  ComeHere_AlreadyHere                    = 81
  ComeHere_SearchForFace                  = 82
  ComeHere_SearchForFace_FoundFace        = 83
  CozmoSaysGetIn                          = 84
  CozmoSaysGetOut                         = 85
  CozmoSaysSpeakGetInShort                = 86
  CozmoSaysSpeakGetInMedium               = 87
  CozmoSaysSpeakGetInLong                 = 88
  CozmoSaysSpeakGetOutShort               = 89
  CozmoSaysSpeakGetOutMedium              = 90
  CozmoSaysSpeakGetOutLong                = 91
  CozmoSaysSpeakLoop                      = 92
  CozmoSaysBadWord                        = 93
  CozmoSaysIdle                           = 94
  CubeMovedSense                          = 95
  CubeMovedUpset                          = 96
  CubePounceFake                          = 97
  CubePounceGetIn                         = 98
  CubePounceGetOut                        = 99
  CubePounceGetReady                      = 100
  CubePounceGetUnready                    = 101
  CubePounceIdleLiftDown                  = 102
  CubePounceIdleLiftUp                    = 103
  CubePounceLoseHand                      = 104
  CubePounceLoseRound                     = 105
  CubePounceLoseSession                   = 106
  CubePouncePounceClose                   = 107
  CubePouncePounceNormal                  = 108
  CubePounceWinHand                       = 109
  CubePounceWinRound                      = 110
  CubePounceWinSession                    = 111
  DanceMambo                              = 112
  DemoSpeedTapCozmoWin                    = 113
  DemoSpeedTapCozmoLose                   = 114
  DizzyReactionHard                       = 115
  DizzyReactionMedium                     = 116
  DizzyReactionSoft                       = 117
  DizzyShakeLoop                          = 118
  DizzyShakeStop                          = 119
  DizzyStillPickedUp                      = 120
  DriveEndAngry                           = 121
  DriveEndDefault                         = 122
  DriveEndHappy                           = 123
  DriveEndLaunch                          = 124
  DriveLoopAngry                          = 125
  DriveLoopDefault                        = 126
  DriveLoopHappy                          = 127
  DriveLoopLaunch                         = 128
  DriveStartAngry                         = 129
  DriveStartDefault                       = 130
  DriveStartHappy                         = 131
  DriveStartLaunch                        = 132
  DroneModeBackwardDrivingEnd             = 133
  DroneModeBackwardDrivingLoop            = 134
  DroneModeBackwardDrivingStart           = 135
  DroneModeCliffEvent                     = 136
  DroneModeForwardDrivingEnd              = 137
  DroneModeForwardDrivingLoop             = 138
  DroneModeForwardDrivingStart            = 139
  DroneModeGetIn                          = 140
  DroneModeGetOut                         = 141
  DroneModeIdle                           = 142
  DroneModeKeepAlive                      = 143
  DroneModeTurboDrivingStart              = 144
  EarnedSparks                            = 145
  FacePlantRoll                           = 146
  FacePlantRollArmUp                      = 147
  FailedToRightFromFace                   = 148
  FeedingAteFullEnough_Normal             = 149
  FeedingAteFullEnough_Severe             = 150
  FeedingAteNotFullEnough_Normal          = 151
  FeedingAteNotFullEnough_Severe          = 152
  FeedingDrivingGetIn_Severe              = 153
  FeedingDrivingGetOut_Severe             = 154
  FeedingDrivingLoop_Severe               = 155
  FeedingPlaceLiftOnCube_Normal           = 156
  FeedingPlaceLiftOnCube_Severe           = 157
  FeedingIdleSearch_Normal                = 158
  FeedingIdleSearch_Severe                = 159
  FeedingIdleSearchForFaces_Normal        = 160
  FeedingIdleSearchForFaces_Severe        = 161
  FeedingIdleWaitForFullCube_Normal       = 162
  FeedingIdleWaitForFullCube_Severe       = 163
  FeedingIdleWaitForShakeNoHead_Severe    = 164
  FeedingIdleWaitForShake_Normal          = 165
  FeedingIdleWaitForShake_Severe          = 166
  FeedingInterrupted                      = 167
  FeedingInterrupted_Severe               = 168
  FeedingSearchRequest                    = 169
  FeedingSearchRequest_Severe             = 170
  FeedingSearchFailure                    = 171
  FeedingSearchFailure_Severe             = 172
  FeedingReactToFullCube_Normal           = 173
  FeedingReactToFullCube_Severe           = 174
  FeedingReactToSeeCube_Normal            = 175
  FeedingReactToSeeCube_Severe            = 176
  FeedingReactToShake_Normal              = 177
  FeedingReactToShake_Severe              = 178
  FistBumpIdle                            = 179
  FistBumpRequestOnce                     = 180
  FistBumpRequestRetry                    = 181
  FistBumpSuccess                         = 182
  FistBumpLeftHanging                     = 183
  FlipDownFromBack                        = 184
  FrustratedByFailure                     = 185
  FrustratedByFailureMajor                = 186
  GameSetupGetIn                          = 187
  GameSetupGetOut                         = 188
  GameSetupIdle                           = 189
  GameSetupReaction                       = 190
  GoToSleepGetIn                          = 191
  GoToSleepGetOut                         = 192
  GoToSleepOff                            = 193
  GoToSleepSleeping                       = 194
  GuardDogBusted                          = 195
  GuardDogCubeDisconnect                  = 196
  GuardDogFakeout                         = 197
  GuardDogInterruption                    = 198
  GuardDogPlayerSuccess                   = 199
  GuardDogPulse                           = 200
  GuardDogSettle                          = 201
  GuardDogSleepLoop                       = 202
  GuardDogTimeout                         = 203
  GuardDogTimeoutCubesTouched             = 204
  GuardDogTimeoutCubesUntouched           = 205
  Hiccup                                  = 206
  HiccupGetIn                             = 207
  HiccupPlayerCure                        = 208
  HiccupRobotOnBack                       = 209
  HiccupRobotOnFace                       = 210
  HiccupRobotPickedUp                     = 211
  HiccupSelfCure                          = 212
  HikingDrivingEnd                        = 213
  HikingDrivingLoop                       = 214
  HikingDrivingStart                      = 215
  HikingInterestingEdgeThought            = 216
  HikingIntro                             = 217
  HikingLookAround                        = 218
  HikingObserve                           = 219
  HikingReactToEdge                       = 220
  HikingReactToNewArea                    = 221
  HikingReactToPossibleMarker             = 222
  HikingSquintEnd                         = 223
  HikingSquintLoop                        = 224
  HikingSquintStart                       = 225
  HikingWakeUpOffCharger                  = 226
  IdleOnCharger                           = 227
  InteractWithFaceTrackingIdle            = 228
  InteractWithFacesInitialNamed           = 229
  InteractWithFacesInitialUnnamed         = 230
  KnockOverEyes                           = 231
  KnockOverFailure                        = 232
  KnockOverGrabAttempt                    = 233
  KnockOverPreActionNamedFace             = 234
  KnockOverPreActionUnnamedFace           = 235
  KnockOverSuccess                        = 236
  LaserAcknowledge                        = 237
  LaserDriveEnd                           = 238
  LaserDriveLoop                          = 239
  LaserDriveStart                         = 240
  LaserFace                               = 241
  LaserGetOut                             = 242
  LaserPounce                             = 243
  LookInPlaceForFacesBodyPause            = 244
  LookInPlaceForFacesHeadMovePause        = 245
  MajorFail                               = 246
  MajorWin                                = 247
  MeetCozmoGetIn                          = 248
  MeetCozmoLookFaceGetIn                  = 249
  MeetCozmoLookFaceGetOut                 = 250
  MeetCozmoScanningIdle                   = 251
  MeetCozmoFirstEnrollmentSayName         = 252
  MeetCozmoFirstEnrollmentRepeatName      = 253
  MeetCozmoFirstEnrollmentCelebration     = 254
  MeetCozmoReEnrollmentSayName            = 255
  MeetCozmoRenameFaceSayName              = 256
  MeetCozmoLookFaceInterrupt              = 257
  MemoryMatchPlayerWinHand                = 258
  MemoryMatchPlayerWinHandLong            = 259
  MemoryMatchPlayerWinHandSolo            = 260
  MemoryMatchPlayerLoseHand               = 261
  MemoryMatchPlayerLoseHandSolo           = 262
  MemoryMatchCozmoWinHand                 = 263
  MemoryMatchCozmoLoseHand                = 264
  MemoryMatchCozmoWinGame                 = 265
  MemoryMatchPlayerWinGame                = 266
  MemoryMatchSoloGameOver                 = 267
  MemoryMatchReactToPattern               = 268
  MemoryMatchReactToPatternSolo           = 269
  MemoryMatchPointCenter                  = 270
  MemoryMatchPointLeftBig                 = 271
  MemoryMatchPointLeftSmall               = 272
  MemoryMatchPointRightBig                = 273
  MemoryMatchPointRightSmall              = 274
  MemoryMatchPointCenterFast              = 275
  MemoryMatchPointLeftBigFast             = 276
  MemoryMatchPointLeftSmallFast           = 277
  MemoryMatchPointRightBigFast            = 278
  MemoryMatchPointRightSmallFast          = 279
  MemoryMatchCozmoGetOut                  = 280
  MemoryMatchCozmoFollowTapsSoundOnly     = 281
  NamedFaceInitialGreeting                = 282
  NeedsMildLowEnergyRequest               = 283
  NeedsMildLowPlayRequest                 = 284
  NeedsMildLowRepairRequest               = 285
  NeedsSevereLowEnergyCliffReact          = 286
  NeedsSevereLowEnergyDrivingEnd          = 287
  NeedsSevereLowEnergyDrivingLoop         = 288
  NeedsSevereLowEnergyDrivingStart        = 289
  NeedsSevereLowEnergyForceGetOut         = 290
  NeedsSevereLowEnergyGetIn               = 291
  NeedsSevereLowEnergyIdle                = 292
  NeedsSevereLowEnergyRequest             = 293
  NeedsSevereLowEnergySlopeReact          = 294
  NeedsSevereLowPlayForceGetOut           = 295
  NeedsSevereLowPlayGetIn                 = 296
  NeedsSevereLowPlayRequest               = 297
  NeedsSevereLowRepairCliffReact          = 298
  NeedsSevereLowRepairDrivingEnd          = 299
  NeedsSevereLowRepairDrivingLoop         = 300
  NeedsSevereLowRepairDrivingStart        = 301
  NeedsSevereLowRepairForceGetOut         = 302
  NeedsSevereLowRepairGetIn               = 303
  NeedsSevereLowRepairIdle                = 304
  NeedsSevereLowRepairRequest             = 305
  NeedsSevereLowRepairSlopeReact          = 306
  NeutralFace                             = 307
  NothingToDoBoredEvent                   = 308
  NothingToDoBoredIdle                    = 309
  NothingToDoBoredIntro                   = 310
  NothingToDoBoredOutro                   = 311
  OnLearnedPlayerName                     = 312
  OnSawNewNamedFace                       = 313
  OnSawNewUnnamedFace                     = 314
  OnSawOldNamedFace                       = 315
  OnSawOldUnnamedFace                     = 316
  OnSpeedtapCozmoConfirm                  = 317
  OnSpeedtapFakeout                       = 318
  OnSpeedtapGameCozmoWinHighIntensity     = 319
  OnSpeedtapGameCozmoWinLowIntensity      = 320
  OnSpeedtapGamePlayerWinHighIntensity    = 321
  OnSpeedtapGamePlayerWinLowIntensity     = 322
  OnSpeedtapGetOut                        = 323
  OnSpeedtapHandCozmoWin                  = 324
  OnSpeedtapHandPlayerWin                 = 325
  OnSpeedtapIdle                          = 326
  OnSpeedtapRoundCozmoWinHighIntensity    = 327
  OnSpeedtapRoundCozmoWinLowIntensity     = 328
  OnSpeedtapRoundPlayerWinHighIntensity   = 329
  OnSpeedtapRoundPlayerWinLowIntensity    = 330
  OnSpeedtapTap                           = 331
  OnWaitForCubesMinigameSetup             = 332
  OnWiggle                                = 333
  OnboardingBirth                         = 334
  OnboardingCubeDockFail                  = 335
  OnboardingDiscoverCube                  = 336
  OnboardingDriveEnd                      = 337
  OnboardingDriveLoop                     = 338
  OnboardingDriveStart                    = 339
  OnboardingEyesOn                        = 340
  OnboardingHelloPlayer                   = 341
  OnboardingHelloWorld                    = 342
  OnboardingIdle                          = 343
  OnboardingIdleEnergy                    = 344
  OnboardingIdlePlay                      = 345
  OnboardingIdleRepair                    = 346
  OnboardingInteractWithCube              = 347
  OnboardingPreBirth                      = 348
  OnboardingReactToCube                   = 349
  OnboardingReactToCubePutDown            = 350
  OnboardingReactToFace                   = 351
  OnboardingSoundOnlyLiftEffortPickup     = 352
  OnboardingSoundOnlyLiftEffortPlaceLow   = 353
  OnboardingGetOut                        = 354
  OnboardingWakeUpDriveOffCharger         = 355
  PeekABooGetIn                           = 356
  PeekABooGetOutHappy                     = 357
  PeekABooGetOutSad                       = 358
  PeekABooHighIntensity                   = 359
  PeekABooIdle                            = 360
  PeekABooLowIntensity                    = 361
  PeekABooMedIntensity                    = 362
  PeekABooNoUserInteraction               = 363
  PeekABooShort                           = 364
  PeekABooSurprised                       = 365
  PetDetectionCat                         = 366
  PetDetectionDog                         = 367
  PetDetectionShort                       = 368
  PetDetectionShort_Cat                   = 369
  PetDetectionShort_Dog                   = 370
  PetDetectionSneeze                      = 371
  PickupHelperPreActionNamedFace          = 372
  PickupHelperPreActionUnnamedFace        = 373
  PlacedOnCharger                         = 374
  PopAWheelieInitial                      = 375
  PopAWheeliePreActionNamedFace           = 376
  PopAWheeliePreActionUnnamedFace         = 377
  PopAWheelieRealign                      = 378
  PopAWheelieRetry                        = 379
  PounceDriveEnd                          = 380
  PounceDriveLoop                         = 381
  PounceDriveStart                        = 382
  PounceFace                              = 383
  PounceFail                              = 384
  PounceGetOut                            = 385
  PounceInitial                           = 386
  PouncePounce                            = 387
  PounceSuccess                           = 388
  ProceduralLive                          = 389
  PutDownBlockKeepAlive                   = 390
  PutDownBlockPutDown                     = 391
  ReactToBlockPickupSuccess               = 392
  ReactToBlockRetryPickup                 = 393
  ReactToCliff                            = 394
  ReactToCliffDetectorStop                = 395
  ReactToFalling                          = 396
  ReactToImpact                           = 397
  ReactToObstacle                         = 398
  ReactToMotorCalibration                 = 399
  ReactToNewBlockAsk                      = 400
  ReactToNewBlockBig                      = 401
  ReactToNewBlockSmall                    = 402
  ReactToOnLeftSide                       = 403
  ReactToOnRightSide                      = 404
  ReactToPerchedOnBlock                   = 405
  ReactToPickup                           = 406
  ReactToPokeReaction                     = 407
  ReactToPokeStartled                     = 408
  ReactToUnexpectedMovement               = 409
  ReactToUnexpectedMovement_Severe_Energy = 410
  ReactToUnexpectedMovement_Severe_Repair = 411
  RepairFailMild                          = 412
  RepairFailSevere                        = 413
  RepairFixMildGetIn                      = 414
  RepairFixMildGetOut                     = 415
  RepairFixMildGetReady                   = 416
  RepairFixMildHeadDown                   = 417
  RepairFixMildHeadUp                     = 418
  RepairFixMildIdle                       = 419
  RepairFixMildLiftDown                   = 420
  RepairFixMildLiftUp                     = 421
  RepairFixMildLowerLift                  = 422
  RepairFixMildRaiseLift                  = 423
  RepairFixMildRoundReact                 = 424
  RepairFixMildWheelsBack                 = 425
  RepairFixMildWheelsForward              = 426
  RepairFixSevereGetIn                    = 427
  RepairFixSevereGetOut                   = 428
  RepairFixSevereGetReady                 = 429
  RepairFixSevereHeadDown                 = 430
  RepairFixSevereHeadUp                   = 431
  RepairFixSevereIdle                     = 432
  RepairFixSevereLiftDown                 = 433
  RepairFixSevereLiftUp                   = 434
  RepairFixSevereLowerLift                = 435
  RepairFixSevereRaiseLift                = 436
  RepairFixSevereRoundReact               = 437
  RepairFixSevereWheelsBack               = 438
  RepairFixSevereWheelsForward            = 439
  RepairIdleFullyRepaired                 = 440
  RepairPartRepaired_Head_Mild            = 441
  RepairPartRepaired_Lift_Mild            = 442
  RepairPartRepaired_Tread_Mild           = 443
  RequestGameInterrupt                    = 444
  RequestGameKeepAwayAccept0              = 445
  RequestGameKeepAwayAccept1              = 446
  RequestGameKeepAwayDeny0                = 447
  RequestGameKeepAwayDeny1                = 448
  RequestGameKeepAwayIdle0                = 449
  RequestGameKeepAwayIdle1                = 450
  RequestGameKeepAwayInitial0             = 451
  RequestGameKeepAwayInitial1             = 452
  RequestGameKeepAwayPreDrive0            = 453
  RequestGameKeepAwayPreDrive1            = 454
  RequestGameKeepAwayRequest0             = 455
  RequestGameKeepAwayRequest1             = 456
  RequestGameMemoryMatchAccept0           = 457
  RequestGameMemoryMatchAccept1           = 458
  RequestGameMemoryMatchDeny0             = 459
  RequestGameMemoryMatchDeny1             = 460
  RequestGameMemoryMatchIdle0             = 461
  RequestGameMemoryMatchIdle1             = 462
  RequestGameMemoryMatchInitial0          = 463
  RequestGameMemoryMatchInitial1          = 464
  RequestGameMemoryMatchPreDrive0         = 465
  RequestGameMemoryMatchPreDrive1         = 466
  RequestGameMemoryMatchRequest0          = 467
  RequestGameMemoryMatchRequest1          = 468
  RequestGamePickupFail                   = 469
  RequestGameSpeedTapAccept0              = 470
  RequestGameSpeedTapAccept1              = 471
  RequestGameSpeedTapDeny0                = 472
  RequestGameSpeedTapDeny1                = 473
  RequestGameSpeedTapIdle0                = 474
  RequestGameSpeedTapIdle1                = 475
  RequestGameSpeedTapInitial0             = 476
  RequestGameSpeedTapInitial1             = 477
  RequestGameSpeedTapPreDrive0            = 478
  RequestGameSpeedTapPreDrive1            = 479
  RequestGameSpeedTapRequest0             = 480
  RequestGameSpeedTapRequest1             = 481
  RollBlockInitial                        = 482
  RollBlockPreActionNamedFace             = 483
  RollBlockPreActionUnnamedFace           = 484
  RollBlockPutDown                        = 485
  RollBlockRealign                        = 486
  RollBlockRetry                          = 487
  RollBlockSuccess                        = 488
  SdkTextToSpeech                         = 489
  Shiver                                  = 490
  Shocked                                 = 491
  Singing_80bpm                           = 492
  Singing_100bpm                          = 493
  Singing_120bpm                          = 494
  Singing_GetIn                           = 495
  Singing_GetOut                          = 496
  Sleeping                                = 497
  SoftSparkUpgradeLift                    = 498
  SoftSparkUpgradeTracks                  = 499
  SoundOnlyLiftEffortPickup               = 500
  SoundOnlyLiftEffortPlaceHigh            = 501
  SoundOnlyLiftEffortPlaceLow             = 502
  SoundOnlyLiftEffortPlaceRoll            = 503
  SoundOnlyRamIntoBlock                   = 504
  SoundOnlyTurnSmall                      = 505
  SparkDrivingLoop                        = 506
  SparkDrivingStart                       = 507
  SparkDrivingStop                        = 508
  SparkFailure                            = 509
  SparkGetIn                              = 510
  SparkGetOut                             = 511
  SparkIdle                               = 512
  SparkPickupFinalCubeReaction            = 513
  SparkPickupInitialCubeReaction          = 514
  SparkSuccess                            = 515
  SpeedTapDrivingEnd                      = 516
  SpeedTapDrivingLoop                     = 517
  SpeedTapDrivingStart                    = 518
  StackBlocksSuccess                      = 519
  StartSleeping                           = 520
  SuccessfulWheelie                       = 521
  Surprise                                = 522
  TurtleRoll                              = 523
  UnitTestAnim                            = 524
  VC_Alrighty                             = 525
  VC_HowAreYouDoing_AllGood               = 526
  VC_Listening                            = 527
  VC_LookDownForLaser                     = 528
  VC_LookDownNoLaser                      = 529
  VC_NoFollowupCommand_NoFace             = 530
  VC_NoFollowupCommand_WithFace           = 531
  VC_Refuse_energy                        = 532
  VC_Refuse_repair                        = 533
  VC_Refuse_sparks                        = 534
  VC_StartledWakeup                       = 535
  WaitOnSideLoop                          = 536
  WorkoutPostLift_highEnergy              = 537
  WorkoutPostLift_lowEnergy               = 538
  WorkoutPostLift_mediumEnergy            = 539
  WorkoutPreLift_highEnergy               = 540
  WorkoutPreLift_lowEnergy                = 541
  WorkoutPreLift_mediumEnergy             = 542
  WorkoutPutDown_highEnergy               = 543
  WorkoutPutDown_lowEnergy                = 544
  WorkoutPutDown_lowEnergy_simple         = 545
  WorkoutPutDown_mediumEnergy             = 546
  WorkoutStrongLift_highEnergy            = 547
  WorkoutStrongLift_lowEnergy             = 548
  WorkoutStrongLift_mediumEnergy          = 549
  WorkoutTransition_highEnergy            = 550
  WorkoutTransition_lowEnergy             = 551
  WorkoutTransition_mediumEnergy          = 552
  WorkoutWeakLift_highEnergy              = 553
  WorkoutWeakLift_lowEnergy               = 554
  WorkoutWeakLift_mediumEnergy            = 555
  Count                                   = 556

Anki.Cozmo.AnimationTrigger = AnimationTrigger
del AnimationTrigger


class CubeAnimationTrigger(object):
  "Automatically-generated int_32 enumeration."
  Carrying                    = 0
  Connected                   = 1
  CubePouncePlayerLose        = 2
  CubePouncePlayerWin         = 3
  Dance_01                    = 4
  Dance_02                    = 5
  Dance_03                    = 6
  Dance_04                    = 7
  Dance_05                    = 8
  Dance_06                    = 9
  DanceFadeOff                = 10
  DrivingTo                   = 11
  FeedingBlank                = 12
  FeedingCyanCycle            = 13
  FeedingCyanSolid            = 14
  Flash                       = 15
  GatherCubesAllCubesInBeacon = 16
  GatherCubesCubeInBeacon     = 17
  GuardDogBeingMoved          = 18
  GuardDogBusted              = 19
  GuardDogOff                 = 20
  GuardDogSetup               = 21
  GuardDogSleeping            = 22
  GuardDogSuccessfullyFlipped = 23
  Interacting                 = 24
  InteractingBehaviorLock     = 25
  Onboarding                  = 26
  PyramidBaseBottom           = 27
  PyramidFlourish             = 28
  PyramidOnSideLocated        = 29
  PyramidOnSideNotLocated     = 30
  PyramidPickup               = 31
  PyramidSingle               = 32
  Sleep                       = 33
  SleepNoFade                 = 34
  SpeedTapWin                 = 35
  SpeedTapLose                = 36
  Visible                     = 37
  WakeUp                      = 38
  Workout                     = 39
  Count                       = 40

Anki.Cozmo.CubeAnimationTrigger = CubeAnimationTrigger
del CubeAnimationTrigger


